
<?php 
    
    date_default_timezone_set('America/Santiago');
    $fecha111=date("Y-m-d");

    include('../../validadores/validarSession.php');
    include('../StoGlobal/include/conexion.php');
    include('../StoGlobal/include/conexion1.php');
    include('../StoGlobal/include/conexion3.php');

    session_start();

    if($_POST['selector']==1){
        
        echo json_encode(array('success' => false));
        exit();
    }

    $cod_product= $_POST["selector"];



  
    // Ingreso registro Proyecto
    if($_POST['selector1']==2 && $_POST['cod_proyecto']!=null && $_POST['id_producto_1']!=null){

                $max_num = $_POST['ContadorCeldas'];

                for($j=1;$j<$max_num;$j++){
                    $stockUpgrade=0;
                    $ganancia1=0;
                    $cod_products=$_POST["id_producto_$j"];

                    // Ingreso registro de ventas           
                    $query = "select * from sto_bodega where cod_producto='$cod_products'";
                    $stmt1 = $DBcon->prepare( $query );
                    $stmt1->execute();
                    
                    if($stmt1->rowCount() > 0) {
                        while($row=$stmt1->fetch(PDO::FETCH_ASSOC)) {
                            extract($row);
                                $ganancia1=$_POST["precio_venta_$j"]-$precio_bruto;
                                $stockUpgrade=$stock_actual-$_POST["cantidad_$j"];
                        }
                    }

                    if($stock_actual>=$_POST["cantidad_$j"]){
                                                               
                        $stmt = $conexion->prepare("INSERT INTO sto_reg_ventas ( cod_producto, fecha, cantidad, precio_venta, ganancia, detalle, estado, cod_proyecto)
                        VALUE ( :cod_producto, :fecha, :cantidad, :precio_venta, :ganancia, :detalle, :estado, :cod_proyecto)");
                        $stmt->bindParam(':cod_producto', $cod_producto);
                        $stmt->bindParam(':fecha', $fecha);
                        $stmt->bindParam(':cantidad', $cantidad);
                        $stmt->bindParam(':precio_venta', $precio_venta);
                        $stmt->bindParam(':ganancia', $ganancia);
                        $stmt->bindParam(':detalle', $detalle);
                        $stmt->bindParam(':estado', $estado);
                        $stmt->bindParam(':cod_proyecto', $cod_proyecto);
                        //insertar filas
                        $cod_producto= $_POST["id_producto_$j"];
                        $fecha= $fecha111;
                        $cantidad= $_POST["cantidad_$j"];
                        $precio_venta= $_POST["precio_venta_$j"];
                        $ganancia= $cod_products;
                        $detalle= $_POST["detalle_$j"];
                        $estado= '2';
                        $cod_proyecto= $_POST["cod_proyecto"];

                        $stmt->execute();


                        $query = "
                        UPDATE sto_bodega SET stock_actual = '".$stockUpgrade."' WHERE cod_producto = '".$_POST["id_producto_$j"]."' ";
                        $stmt1 = $conexion->prepare($query);
                        $stmt1->execute();

                    }
                }

    }
    
    // Ingreso registro de ventas Particulares  
    if($_POST['selector1']==1){

        $max_num = $_POST['ContadorCeldas'];

                for($j=1;$j<$max_num;$j++){
                    $stockUpgrade=0;
                    $ganancia1=0;
                    $cod_products=$_POST["id_producto_$j"];

                    // Ingreso registro de ventas           
                    $query = "select * from sto_bodega where cod_producto='$cod_products'";
                    $stmt1 = $DBcon->prepare( $query );
                    $stmt1->execute();
                    
                    if($stmt1->rowCount() > 0) {
                        while($row=$stmt1->fetch(PDO::FETCH_ASSOC)) {
                            extract($row);
                                $ganancia1=$_POST["precio_venta_$j"]-$precio_bruto;
                                $stockUpgrade=$stock_actual-$_POST["cantidad_$j"];
                        }
                    }

                    if($stock_actual>=$_POST["cantidad_$j"]){
                                                               
                        $stmt = $conexion->prepare("INSERT INTO sto_reg_ventas ( cod_producto, fecha, cantidad, precio_venta, ganancia, detalle, estado, cod_proyecto)
                        VALUE ( :cod_producto, :fecha, :cantidad, :precio_venta, :ganancia, :detalle, :estado, :cod_proyecto)");
                        $stmt->bindParam(':cod_producto', $cod_producto);
                        $stmt->bindParam(':fecha', $fecha);
                        $stmt->bindParam(':cantidad', $cantidad);
                        $stmt->bindParam(':precio_venta', $precio_venta);
                        $stmt->bindParam(':ganancia', $ganancia);
                        $stmt->bindParam(':detalle', $detalle);
                        $stmt->bindParam(':estado', $estado);
                        $stmt->bindParam(':cod_proyecto', $cod_proyecto);
                        //insertar filas
                        $cod_producto= $_POST["id_producto_$j"];
                        $fecha= $_POST["fecha"];
                        $cantidad= $_POST["cantidad_$j"];
                        $precio_venta= $_POST["precio_venta_$j"];
                        $ganancia= $cod_products;
                        $detalle= $_POST["detalle_$j"];
                        $estado= '1';
                        $cod_proyecto= 'N/A';

                        $stmt->execute();


                        $query = "
                        UPDATE sto_bodega SET stock_actual = '".$stockUpgrade."' WHERE cod_producto = '".$_POST["id_producto_$j"]."' ";
                        $stmt1 = $conexion->prepare($query);
                        $stmt1->execute();

                    }
                }

    }
  



if ($stmt) {
                
    echo json_encode(array('success' => true));
} else {
    echo json_encode(array('success' => false));
}


?>